Skip to content

List event types

Event Types

Fetches a paginated list of event types

GET
/event-types

Parameters

Query Parameters

page

Selects the page to retrieve on paginated responses. Used in combination with the pageSize parameter to paginate over results

Type
integer
Default
1
Minimum
1
pageSize

Limits the number of items returned in a single paginated response. Used in combination with the page parameter to paginate over results

Type
integer
Default
25
Maximum
100
Minimum
1

Responses

Successful response

application/json
JSON
{
  
"result": [
  
  
{
  
  
  
"id": "1",
  
  
  
"title": "My first meetup",
  
  
  
"content": "Some information about my meetup",
  
  
  
"startDate": "2017-04-01T15:29:06+00:00",
  
  
  
"endDate": "2017-04-01T20:29:06+00:00",
  
  
  
"location": "Amsterdam",
  
  
  
"url": "https://fake.meetup.com",
  
  
  
"externalRegistrationUrl": "https://fake.meetup.com",
  
  
  
"externalRegistrationUrlLabel": "Button name",
  
  
  
"image": "https://fake.meetup.com/image.png",
  
  
  
"createdAt": "2017-04-10T15:29:06+00:00",
  
  
  
"createdBy": "1",
  
  
  
"trashed": false,
  
  
  
"userGroupId": "1",
  
  
  
"timezone": "Europe/Amsterdam"
  
  
}
  
]
}

Samples

Gainsight CC Developer Portal